<?php

echo '<p><b>Mise à jour base de données <i class="fas fa-angle-double-right"></i> Version 0.39</b></p>
<ul class="maxwidth">';

$event = mysqli_query($bdd,"SELECT * FROM ".$prefix."_edtevent WHERE specifique = '1'");
$nb_check = 0;
$details = array();
foreach($event as $uid_info) {
	// on regarde les événements proches pour ajuster si besoin : SUR LE DEBUT :
	$dteStart = new DateTime($uid_info['dtstart']);
	$dteEnd = new DateTime($uid_info['dtend']);
	$dteDiff  = $dteStart->diff($dteEnd); 
	$duree1 = $dteDiff->format("%H%I");
	if($duree1<=40) {
		$duree1 = 5;
	}
	else if($duree1>40&&$duree1<115) {
		$duree1 = 10;
	}
	else {
		$heu=substr($duree1,1,1);
		$min=substr($duree1,2,2);
		if($heu.$min>($heu-1).'40'&&$heu.$min<$heu.'15') {
			if($min>40) {
				$duree1 = ($heu+1).'0';
			}
			else { $duree1 = $heu.'0'; }
		}
		else {
			if($min>40) {
				$duree1 = ($heu+1).'0';
			}
			else { $duree1 = $heu.'5'; }
		}
	}
	if($duree1!=$uid_info['duration']) {
		mysqli_query($bdd,"UPDATE ".$prefix."_edtevent SET duration = '".$duree1."' WHERE uid = '".$uid_info['uid']."'");
		array_push($details, $uid_info['dtstart'].' '.$uid_info['dtend'].' '.$uid_info['duration'].' > '.$duree1);
		$nb_check++;
	}
}
echo '<li>Correction de durée d\'évenements intégrés sur des temps spécifiques ('.$nb_check.')';
if($nb_check>0) {
	 echo ' :<br>';
	 for($ch=0;$ch<count($details);$ch++) {
	 	echo $details[$ch].'<br>';
	 }
}
echo '</li>';

// Vérification des horaires
$probleme_hor = 0;
for($i=1;$i<21;$i++) {
	$creneau = mysqli_query($bdd,"SELECT * FROM ".$prefix."_horaires WHERE num_creneau = $i");
	$creneau_nb = mysqli_num_rows($creneau);
	$creneau_info = mysqli_fetch_assoc($creneau);
	if($i<20) { 
		$suivant = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT * FROM ".$prefix."_horaires WHERE num_creneau = '".($i+1)."'"));
	}
	if(isset($_SESSION['finprec'])&&isset($creneau_info['debut'])&&substr($creneau_info['debut'],0,5)!=$_SESSION['finprec']) {
		$probleme_hor = 1;
	}
	if($suivant['debut']!=""&&substr($suivant['debut'],0,5)!=substr($creneau_info['fin'],0,5)) {
		$probleme_hor = 1;
	}
	$_SESSION['finprec'] = substr($creneau_info['fin'],0,5);
}
unset($_SESSION['finprec']);

if($probleme_hor ==1) {
	echo '<li>Vos horaires ne sont pas correctement renseignés pour cette version (voir dans <a href="param.php?page=horaires">param.php?page=horaires</a>).</li>';
}

// version bdd :
mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '0.39' WHERE param_nom = 'version_bdd'");
echo '<li>Mise à jour de la base de données effectuée - version_bdd 0.39.</li></ul>';
?>